%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		megaupload-dl
Version:	0.2
Release:	1%{?dist}
Summary:	Megaupload automatic downloader

Group:		Applications/Internet
License:	GPLv3
URL:		http://code.google.com/p/megaupload-dl/
Source0:	http://megaupload-dl.googlecode.com/files/%{name}-%{version}.tgz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	python-BeautifulSoup
BuildRequires:	python-imaging
BuildRequires:	tesseract
BuildRequires:	python-devel
Requires:	python-BeautifulSoup
Requires:	python-imaging
Requires:	tesseract

BuildArch:	noarch

%description
Megaupload-dl helps on the painful process of downloading
files hosted on the popular Megaupload site if you don't have
a premium account. The process is completely automatic as the
captcha is recognized using a OCR. The script
(run from the command line, there is no GUI) only returns the file link;
use your favorite web downloader to actually get the file.

%prep
%setup -q -n %{name}

%build


%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGELOG README examples/*
%{_bindir}/megaupload_dl
%{python_sitelib}/megaupload_dl
%{python_sitelib}/*.egg-info
%exclude %{_datadir}/doc/megaupload_dl

%changelog
* Sun Jan 11 2009 Marek Mahut <mmahut@fedoraproject.org> - 0.2-1
- Initial build
- Upstream release 2.0
